image.hpp File Reference

A class to deal with images. More...

`#include <claw/pixel.hpp>`
`#include <claw/math.hpp>`
`#include <vector>`
`#include <iterator>`
`#include <iostream>`
`#include <cstddef>`
`#include <claw/impl/image.ipp>`

Go to the source code of this file.

## Classes

class | claw::graphic::image
| A class to deal with images. More...
class | claw::graphic::image::scanline
| One line in the image. More...
class | claw::graphic::image::base_iterator< Image, Pixel >
| Base class for iterators on an image. More...

## Namespaces

namespace | claw
| This is the main namespace.
namespace | claw::graphic
| Everything about image structures and processing.

## Functions

void | std::swap (claw::graphic::image &a, claw::graphic::image &b)
| Swap the content of two images.

## Detailed Description

A class to deal with images.

Author
  Julien Jorge

Definition in file image.hpp.

## Function Documentation

## swap()

void std::swap | ( | claw::graphic::image & | a,
|  | claw::graphic::image & | b )

Swap the content of two images.

Parameters

  a | The image to swap with b.
  b | The image to swap with a.

Definition at line 430 of file image.cpp.

References claw::graphic::image::swap().